package org.jboss.security;

package .tmp;

import java.security.KeyStore;
import javax.net.ssl.KeyManagerFactory;
import javax.net.ssl.TrustManagerFactory;
import org.jboss.security.RealmMapping;
import org.jboss.security.SubjectSecurityManager;

public interface SecurityDomain extends SubjectSecurityManager, RealmMapping {
  KeyStore getKeyStore() throws SecurityException;
  
  KeyManagerFactory getKeyManagerFactory() throws SecurityException;
  
  KeyStore getTrustStore() throws SecurityException;
  
  TrustManagerFactory getTrustManagerFactory() throws SecurityException;
}
